package com.dev.swms.server.model.count;

import java.io.Serializable;

import com.dev.energy.server.model.DomainModel;

public class CompanyLocations extends DomainModel implements Serializable {
	/** 唯一键 */
	private String unicode;
	/** 所属仓库 */
	private Long warehouseId;
	/** 客户ID */
	private Long companyId;
	/** 客户编码 */
	private String companyCode;
	/** 客户名称 */
	private String companyName;
	/** 盘点周期 */
	private int cycleDay = 0;
	/** 已盘点库位数量 */
	private int finished;
	/** 作业中库位数 */
	private int processing;
	/** 待盘点库位数 */
	private int prepare;

	public String getUnicode() {
		return unicode;
	}

	public void setUnicode(String unicode) {
		this.unicode = unicode;
	}

	public Long getCompanyId() {
		return companyId;
	}

	public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}

	public String getCompanyCode() {
		return companyCode;
	}

	public void setCompanyCode(String companyCode) {
		this.companyCode = companyCode;
	}

	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public long getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(long warehouseId) {
		this.warehouseId = warehouseId;
	}

	public void setWarehouseId(Long warehouseId) {
		this.warehouseId = warehouseId;
	}

	public int getCycleDay() {
		return cycleDay;
	}

	public void setCycleDay(int cycleDay) {
		this.cycleDay = cycleDay;
	}

	public int getFinished() {
		return finished;
	}

	public void setFinished(int finished) {
		this.finished = finished;
	}

	public int getProcessing() {
		return processing;
	}

	public void setProcessing(int processing) {
		this.processing = processing;
	}

	public int getPrepare() {
		return prepare;
	}

	public void setPrepare(int prepare) {
		this.prepare = prepare;
	}

}
